# _StpuiCurve Struct Reference

`#include <curve.h>`

## Data Fields

GtkDrawingArea | graph
gint | cursor_type
gfloat | min_x
gfloat | max_x
gfloat | min_y
gfloat | max_y
GdkPixmap * | pixmap
StpuiCurveType | curve_type
gint | height
gint | grab_point
gint | last
gint | num_points
GdkPoint * | point
gint | num_ctlpoints
gfloat(* | ctlpoint )[2]

## Field Documentation

gfloat(* _StpuiCurve::ctlpoint)[2]

gint _StpuiCurve::cursor_type

StpuiCurveType _StpuiCurve::curve_type

gint _StpuiCurve::grab_point

GtkDrawingArea _StpuiCurve::graph

gint _StpuiCurve::height

gint _StpuiCurve::last

gfloat _StpuiCurve::max_x

gfloat _StpuiCurve::max_y

gfloat _StpuiCurve::min_x

gfloat _StpuiCurve::min_y

gint _StpuiCurve::num_ctlpoints

gint _StpuiCurve::num_points

GdkPixmap* _StpuiCurve::pixmap

GdkPoint* _StpuiCurve::point

The documentation for this struct was generated from the following file:

- include/gutenprintui2/curve.h